<!DOCTYPE html>
<html lang="en-GB" xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>Test Page for Modal Dialog Using HTML | Accessibility Works</title>
  <link rel="top" href="../../../index.html" title="Accessibility Works: Home page" />
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes" />
  <link rel="stylesheet" type="text/css" media="screen" href="../../../css/verdemoderna.css" title="default" />
  <link rel="stylesheet" type="text/css" media="screen" href="modal-dialog-01.css" />
  <meta name="robots" content="noindex, nofollow" />
</head>
<body>
  <header id="header">
    <h1><span class="h1txt">Test Page for Modal Dialog Using <abbr>HTML</abbr></span></h1>
  </header>

  <!--
    modal dialog div is immediate descendant of body element
  -->
  <div class="dialog" role="dialog" aria-labelledy="cookie-dialog-label">
    <div class="dialog__window">
      <div><h2 id="cookie-dialog-label">Cookie Consent</h2></div>
      <div>
        <p><button>Accept cookies</button>
          <button>Refuse cookies</button>
        </p>
      </div>
    </div>
    <div class="dialog__mask"></div><!--Overlay behind the dialog-->
  </div>

  <main id="main">
    <p><strong>Disclaimer</strong>: this is just a demonstration of a modal dialog that has no real functionality.
      (You wouldn't normally have a cookie button in the middle of the page, but it demonstrates where focus is restored to when the modal dialog is closed.)
    </p>
    <p>See also the <a href="https://ebay.gitbook.io/mindpatterns/">eBay MIND Patterns</a>,
      especially the <a href="https://ebay.gitbook.io/mindpatterns/messaging/confirm-dialog">confirm dialog</a>.
    </p>
    <p><button id="cookie-opener">Open cookie dialog</button></p>
    <p><strong>Support note</strong>: in January 2023, this example did not work in Firefox because Firefox had not yet added support for the
      <a href="https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/inert">HTMLElement.inert</a>.
      Adding Firefox support required the
      <a href="https://github.com/WICG/inert">inert polyfill</a>.
    </p>
  </main>

  <footer id="footer">
    <p id="licence">
      <a class="image" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/"><img alt="Creative Commons License Attribution-ShareAlike" style="border-width:0" src="../../../img/cc-licence-by-sa-88x31.png" /></a>
      <br />
      <span><a href="https://cstrobbe.gitlab.io/A11yWorks/">Accessibility Works</a></span>
      by
      <a href="https://gitlab.com/cstrobbe">Christophe Strobbe</a>
      is licensed under a <a lang="en-US" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.
    </p>
    <p><a href="../../../sitemap.html">Site map</a>.</p>
    <p>You can <a href="https://gitlab.com/cstrobbe/A11yWorks">fork the code</a> on GitLab.</p>
  </footer>
  <!--commented out utilities.js after copying the function addLoadEvent into modal-dialog.js-->
  <!--script src="utilities.js"></script-->
  <script src="modal-dialog-01.js"></script>
</body>
</html>